Commit 87c304e5 authored by Max Rees's avatar Max Rees

user/libreoffice: replace gtk3 with gtk2, disable outdated test

parent 4d4c9595
......@@ -30,7 +30,7 @@
pkgname=libreoffice
pkgver=6.0.6.2
pkgrel=0
pkgrel=1
case "$pkgver" in
*.*.*.*) _ver="${pkgver%.*}";;
*.*.*) _ver="$pkgver";;
......@@ -49,26 +49,29 @@ license="MPL-2.0 AND Apache-2.0 AND MIT AND X11 AND (MPL-1.1 OR GPL-2.0+ OR LGPL
depends="$pkgname-base $pkgname-calc $pkgname-common $pkgname-draw
$pkgname-impress $pkgname-math $pkgname-connector-postgres $pkgname-writer"
# 1. Base dependencies
# 2. GUIs
# 3. File formats
# 2. GUIs - gen
# 3. GUIs - gtk+2.0
# 4. File formats
makedepends="apr-dev bash bison boost-dev cairo-dev clucene-dev cmd:which
coreutils cppunit-dev cups-dev dbus-glib-dev findutils flex
fontconfig-dev freetype-dev gettext-tiny-dev glm gperf gpgme-dev
gst-plugins-base-dev gstreamer-dev harfbuzz-dev hunspell-dev
hyphen-dev icu icu-dev lcms2-dev libcmis-dev libexttextcat-dev
libjpeg-turbo-dev libpng-dev libxml2-utils libxslt-dev mdds mythes-dev
neon-dev nss-dev openldap-dev openssl-dev paxmark perl poppler-dev
postgresql-dev python3-dev redland-dev sane-dev sed ucpp
libjpeg-turbo-dev libpng-dev libxml2-utils libxslt-dev mdds~1.3
mythes-dev neon-dev nss-dev openldap-dev openssl-dev paxmark perl
poppler-dev postgresql-dev python3-dev redland-dev sane-dev sed ucpp
unixodbc-dev util-linux xmlsec-dev zip
gtk+3.0-dev libepoxy-dev libice-dev libsm-dev libxext-dev
libxinerama-dev libxrandr-dev libxrender-dev
libepoxy-dev libxinerama-dev libxrandr-dev libxrender-dev libxext-dev
gtk+2.0-dev gdk-pixbuf-dev glib-dev
libabw-dev libcdr-dev libe-book-dev libepubgen-dev libetonyek-dev
libfreehand-dev libmspub-dev libmwaw-dev libodfgen-dev liborcus-dev
libfreehand-dev libmspub-dev libmwaw-dev libodfgen-dev liborcus-dev~0.13
libpagemaker-dev libqxp-dev libstaroffice-dev libvisio-dev libwpd-dev
libwpg-dev libwps-dev libzmf-dev
"
# -common also depends on these fonts
_fonts="ttf-liberation ttf-dejavu ttf-carlito"
checkdepends="$_fonts"
......@@ -77,7 +80,7 @@ checkdepends="$_fonts"
# -doc comes first since it redirects manpages from the other subpackages
# -lang-* comes before -common since it redirects miscellaneous
# language-specific files from -common
subpackages="$pkgname-doc $pkgname-gtk3 $pkgname-base
subpackages="$pkgname-doc $pkgname-base $pkgname-gtk2
$pkgname-calc $pkgname-draw $pkgname-impress $pkgname-math
$pkgname-connector-postgres $pkgname-writer"
source="https://download.documentfoundation.org/$pkgname/src/$_ver/$pkgname-$pkgver.tar.xz
......@@ -89,6 +92,7 @@ source="https://download.documentfoundation.org/$pkgname/src/$_ver/$pkgname-$pkg
fix-includes.patch
gettext-tiny.patch
disable-crc-test.patch
disable-outdated-font-test.patch
"
ldpath="/usr/lib/$pkgname/program"
......@@ -275,8 +279,8 @@ build() {
--disable-firebird-sdbc \
--disable-coinmp \
--disable-lpsolve \
--enable-gtk3 \
--disable-gtk \
--disable-gtk3 \
--enable-gtk \
--disable-qt5 \
--disable-odk \
--disable-avahi \
......@@ -400,7 +404,7 @@ _split_lang() {
common() {
pkgdesc="LibreOffice - common files"
depends="$pkgname-lang-en_us $pkgname-gtk3 $_fonts"
depends="$pkgname-lang-en_us $_fonts"
_split common
......@@ -410,9 +414,6 @@ common() {
mkdir -p "$subpkgdir/usr/share/appdata"
mv "$pkgdir"/usr/share/appdata/*.xml "$subpkgdir/usr/share/appdata"
mkdir -p "$subpkgdir/usr/lib/libreoffice/share/libreofficekit"
mv "$pkgdir"/usr/lib/libreoffice/share/libreofficekit/*.png \
"$subpkgdir/usr/lib/libreoffice/share/libreofficekit"
# At this point there should only be empty directories left in
# the "libreoffice" metapackage
......@@ -423,9 +424,10 @@ common() {
fi
}
gtk3() {
pkgdesc="LibreOffice - GTK+3.0 GUI"
gtk2() {
pkgdesc="LibreOffice - GTK+2.0 GUI"
depends="libreoffice-common"
install_if="$pkgname-common=$pkgver-r$pkgrel gtk+2.0"
_split gnome
}
......@@ -479,4 +481,5 @@ fcc2ffeefde50abb80e539f7395efec6e022462b8b8938c2077df6fb3be217808cc2b96eb51539d5
4aa595588226ac2060ae78f4f857db1b148735429a47389f75313df61cabf0819ad2add15c09cae5c5ebbce64852589ca89932c72281ba662ab53dddec4e1336 fix-execinfo.patch
ae36500897db9d758e95da1791ef2577d59b0e0865baba316b4a1f1f48ce9fd5e52fc3f14fa45aeeab73c5b93f57e89f9a42c996bdb3c85eb3beb2634543d85e fix-includes.patch
c50272ec2cf0471e629bf817d23e5c51ff59e94961fab1ee107f43352409353a37f2988c1ff75f423c4c5aedb1e38b432849619700e25124a33c99a589d7a80b gettext-tiny.patch
4ce3bacada3ab99dc09c6d29529bfc5e70eb287bcb61bc6e9a4ba4334cf77624121191d240f2a8f31b63e7510886904ce7842425752252e174478e0034988055 disable-crc-test.patch"
4ce3bacada3ab99dc09c6d29529bfc5e70eb287bcb61bc6e9a4ba4334cf77624121191d240f2a8f31b63e7510886904ce7842425752252e174478e0034988055 disable-crc-test.patch
887680966f8e8754d551ca7e4acc3bcae57c4fb835c49240fde05f65eb4282b8ad03deda3944b50e73b0da97ca8b28e7b1f1861907e6dbd012f5646e6d55efb4 disable-outdated-font-test.patch"
https://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg217102.html
--- libreoffice-6.0.6.2/editeng/qa/unit/core-test.cxx 2018-07-27 13:15:59.000000000 +0000
+++ libreoffice-6.0.6.2/editeng/qa/unit/core-test.cxx 2018-09-27 03:45:48.400130363 +0000
@@ -195,8 +195,6 @@ void Test::testLineSpacing()
// Check the first line
ParagraphInfos aInfo = aEditEngine.GetParagraphInfos(0);
- CPPUNIT_ASSERT_EQUAL((sal_uInt16)122, aInfo.nFirstLineMaxAscent);
- CPPUNIT_ASSERT_EQUAL((sal_uInt16)153, (sal_uInt16)aEditEngine.GetLineHeight(0));
// Prepare second case - 150%
std::unique_ptr<SfxItemSet> pSet2(new SfxItemSet(aEditEngine.GetEmptyItemSet()));
@@ -218,8 +216,6 @@ void Test::testLineSpacing()
// Check the first line
ParagraphInfos aInfo2 = aEditEngine.GetParagraphInfos(0);
- CPPUNIT_ASSERT_EQUAL(sal_uInt16(337), aInfo2.nFirstLineMaxAscent);
- CPPUNIT_ASSERT_EQUAL(sal_uInt16(382), static_cast<sal_uInt16>(aEditEngine.GetLineHeight(0)));
}
void Test::testConstruction()
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment